﻿namespace UltraTabbedMdiManagerButtons
{
    using System;
    using System.Drawing;
    using System.Windows.Forms;

    public partial class Form1 : Form
    {
        private Image prevButtonImage = null;
        private Image nextButtonImage = null;
        public Form1()
        {
            this.InitializeComponent();

            this.IsMdiContainer = true;
            this.ultraTabbedMdiManager1.DrawFilter = new DF(this.PrevButtonImage, this.NextButtonImage);
            this.ultraTabbedMdiManager1.UseOsThemes = Infragistics.Win.DefaultableBoolean.False;
            this.Load += Dete_Load;
        }

        public Image PrevButtonImage
        {
            get
            {
                if(this.prevButtonImage == null)
                {
                    this.prevButtonImage = Image.FromFile(@"../../imgs/Prev.png");
                }

                return this.prevButtonImage;
            }
        }

        public Image NextButtonImage
        {
            get
            {
                if(this.nextButtonImage == null)
                {
                    this.nextButtonImage = Image.FromFile(@"../../imgs/Next.png");
                }

                return this.nextButtonImage;
            }
        }

        private void Dete_Load(object sender, EventArgs e)
        {
            for(int i = 0; i < 30; i++)
            {
                var dete = new Child();
                dete.Text = "Child Form " + (i + 1);
                dete.MdiParent = this;
                dete.Show();
            }
        }
    }
}
